%clc
%clear all
pause('on')
%D3axis(2)
%for eta=-4:0.4:4
    syms t t_0 x y z eta
    
    r1=[-88/115 177/230 -10/23];
    a=[1+0.7*eta 2-0.3*eta^2 -1+0.1*eta];
    line=r1+a*t;
    line_t0=subs(line,t,t_0);
    
    P0=[0,0,0];
    P= [x y z];
    
    %plane
    n=[8 4 -7];
    plane=dot(n,P-P0);
    %intercept
    plane_line=subs(plane,P,line);
    T_0=solve(plane_line==0,t);
    intercept=subs(line,t,T_0);
    %segment
    length=[0 1];
    segment_i=intercept+length(2)*a/norm(a);
    segment_e=intercept+length(1)*a/norm(a);
    segment=segment_e-segment_i;
    
    
    %projection on normal
    proj_n=dot(segment,n)/norm(n);
    proj_n_v=proj_n*n/norm(n);
    nn=real(norm(proj_n_v));
    proj_plane_v=segment-proj_n_v;
    nproj_plane=(norm(proj_plane_v));
    mag=sqrt(proj_n^2+nproj_plane^2);
    eta_min=fnmin(nproj_plane,[-4 4])
    fplot(nproj_plane, [-4,4])
    
    
%     %D3line(r1',0.3*a','red')
%     D3plane(n',dot(n,P0),'yel')
%     D3point(P0,intercept','gre')
%     %D3vectorA(intercept',segment','red')
%     D3line(intercept',0.1*n','ora')
%     %D3vectorA(intercept',proj_n_v','ora')
%     D3vectorA(intercept',proj_plane_v','blu')
% %     pause(0.01); 
%     FO=findobj('color',[1 0 0],'-or', 'Facecolor', [1 0 0]);
%     FO2=findobj('color',[0 1 1],'-or', 'Facecolor',[0 0 1]);
%     FO3=findobj('color',[1 0.5 0],'-or', 'Facecolor',[1 0.5 0]);
%     %delete(FO); 
%     delete(FO2);
%     delete(FO3);

%end



