function D2arrow(P,V,col,s)
%
% D2arrow(POS,VECS,COL) 
%
% ARROW plots 2-dimensional vectors as arrows(the columns in VECS), 
% with their end points at given positions (the columns of POS), 
% in a color (or colors) specified by c.
% 
% POS is [2xN]
% VECS is [2xN]
% COL is [1x1], or [1xN], e.g. ['r' 'y' 'c'] 
%        or col is [Nx3], e.g. ['red'; 'blu'; 'pin']   
%
% COL is optional. If it is omitted, the arrow is black.
%

if nargin < 4
s=0.10;
t=0.02;
else
    t=s/5;
end
    si=size(V);
if nargin==2, 
    for j=1:si(2) c(j)='k'; end
end

for j=1:si(2)
u=P(:,j); du=V(:,j);    
a=[-du(2); du(1)];
a=a/norm(a);
b=du/norm(du);
AR=[0*a a*t du-b*s+a*t du-b*s+a*s du du-s*b-s*a du-s*b-t*a -t*a 0*a];
e=ones(1,9);
BA=u*e;
AR=BA+AR;
co=D3color(col(j,:));
patch(AR(1,:),AR(2,:),0*AR(1,:),'FaceColor',co)
end


