function D3axis(sca,alpha)

% D3axis(sca,alpha),  creates a 3D system of axis with axes X, Y, and Z.
%
% sca [1x1]     = a scale factor. The axes will all three extend from
%                   -sca to +sca.
% alpha [1x1]   = a transparancy factor. It should be between 0 and one. 
%                 For alpha=1, the three planes are opaque, for alpha=0 
%                 the three planes are invisible, and for values in between
%                 the planes are semi-transparant. 
% 
%                  [The last or both arguments may be omitted.]
 

if nargin==0
    sca=2; 
    alpha=0.2;
end
if nargin==1,
    alpha=0.2;
end
if alpha>1, alpha=0.99; end
clf
x=[-1 1 1 -1 -1];
y=[1 1 -1 -1 1];

patch('XData',sca*x,'YData',sca*y,'ZData',0*x,'FaceColor',[1 1 1]*0.5,'FaceAlpha',alpha)
patch('XData',0*x,'YData',sca*y,'ZData',sca*x,'FaceColor',[1 1 1]*0.5,'FaceAlpha',alpha)
patch('XData',sca*x,'YData',0*y,'ZData',sca*y,'FaceColor',[1 1 1]*0.5,'FaceAlpha',alpha)
hold on
plot3(sca*[-1 1],[0 0],[0 0],'k');
plot3([0 0],sca*[-1 1],[0 0],'k');
plot3([0 0],[0 0],sca*[-1 1],'k');
plot3(sca*1.1*[1 0 0 0 0],sca*1.1*[0 0 1 0 0],sca*1.1*[0 0 0 0 1],'k','LineWidth',2);
text(1.15*sca,0,0,'X');
text(0,1.15*sca,0,'Y');
text(0,0,1.15*sca,'Z');
axis image
axis vis3d
view(125,30)
rotate3d on


