function D3contour(sfunc,xrange,yrange,col)

% D3contour(FUNCSTRING,xrange,yrange,col), 
%                    plots a the 2D contours of a surface in color col given by
%                    the equation in the string FUNCSTRING containing an 
%                    equation in x and y, (assigned to z).%                    
%
% FUNCSTRING [string]   = for example, 
%                        FUNCSTRING='z=sqrt(1-x.^2-y.^2);',
%                        displays a hemisphere.      
% xrange     [2x1]      = range for x. 
% yrange     [2x1]      = range for y. 
% col        [3x1]      = a three letter string (e.g. 'blu') denoting the color of
%                       the vector as given by D3color. 
%                       Type D3color('DEF') to see all the color definitions.   
%
%                     (The last argument may be omitted.)

if nargin==0, help D3contour; return; end

if nargin==3,
    col='bla';
end

co=D3color(col);

xspan=linspace(xrange(1),xrange(2),20);
yspan=linspace(yrange(1),yrange(2),20);
[x,y]=meshgrid(xspan,yspan);
eval(sfunc);
z=real(z);
contour(x,y,z,20,'Color',co);
