function D3curve(vfunc,trange,col)

% D3curve(FUNCSTRING,trange,col),  plots a 3D parametric space curve in 
%       color col given by the three equations in the string FUNCSTRING
%       containing x, y, and z as functions of t.
%                    
%
% FUNCSTRING [string]  = for example, FUNCSTRING='x=cos(t); y=sin(t); z=t/2'.      
% trange [2x1]      = range for t. 
% col    [3x1]      = a three letter string (e.g. 'blu') denoting the color of
%                     the vector as given by D3color. 
%                     Type D3color('DEF') to see all the color definitions.   
%
%                     (The last argument may be omitted.)


if nargin==0, help D3curve; return; end

if nargin==2,
    col='red';
end

co=D3color(col);

t=linspace(trange(1),trange(2),200);
eval(vfunc);
if length(x)==1, x=0*t+x; end
if length(y)==1, y=0*t+y; end
if length(z)==1, z=0*t+z; end

plot3(x,y,z,'Color',co,'LineWidth',1.5);
