function D3grad2(FUNCSTRING,p,col,scale)
%
%     D3grad2(FUNCSTRING,point,co1,scale)
%      
%  FUNCSTRING [string]   = for example, 
%                            FUNCSTRING='z=sqrt(1-x.^2-y.^2);',
%                         displays a hemisphere.      
%
%  point  [3x1]          = vector where gradient is to be determined
%
%  col      [3x1]        = a three letter string (e.g. 'blu') denoting the color of
%                          the vector as given by D3color. 
%                          Type D3color('DEF') to see all the color definitions.   
%
%  scale [1x1]           = a scale factor by which the gradient vector will
%                            be scaled.


h=0.001;

if nargin==2,
    col='red';
    scale=1;
end

if nargin==3,
    scale=1;
end

co=D3color(col);

% first point
x=p(1); y=p(2);
eval(FUNCSTRING);
x0=x; y0=y; z0=z;
p=[x0; y0; z0];
D3point([0; 0; 0],p,col);
plot3(x0*[1 1],y0*[1 1],z0*[0 1],'-','Color',co);

% x second point
x=p(1)+h;
y=p(2);
eval(FUNCSTRING);
DzX=z-z0;

% y second point
x=p(1);
y=p(2)+h;
eval(FUNCSTRING);
DzY=z-z0;

DD=[DzX; DzY; 0];
DD=DD/h;
D3flatarrow([p(1) p(2) 0]',scale*DD,col);

