function D3grad3(FUNCSTRING,p,co,scale)
%
%     D3grad2(FUNCSTRING,point,co1,scale)
%      
%  FUNCSTRING [string]   = for example, 
%                            FUNCSTRING='F=sqrt(1-x.^2-y.2);',
%                         displays a cone.      
%
%  point  [3x1]          = vector where gradient is to be determined
%
%  col [1x1] or [char]   = the color of the curve. Must be between 1 and 64,
%                              or 'r', 'g', 'b', 'k', or 'y'.
%  scale [1x1]           = a scale factor by which the gradient vector will
%                            be scaled.


if nargin==2,
    co='r';
    scale=1;
end
if nargin==3,
    scale=1;
end

h=0.001;

col=co;
if ~isa(co,'char'),
    CMAP=colormap;
    col=CMAP(co,:); 
end

% first point
x=p(1); y=p(2); z=p(3);
eval(FUNCSTRING);
x0=x; y0=y; z0=z; F0=F;
p=[x0; y0; z0];
plot3(x0,y0,z0,'.','Color','k');

% x second point
x=p(1)+h;
y=p(2);
z=p(3);
eval(FUNCSTRING);
DX=F-F0;

% y second point
x=p(1);
y=p(2)+h;
z=p(3);
eval(FUNCSTRING);
DY=F-F0;

% z second point
x=p(1);
y=p(2);
z=p(3)+h;
eval(FUNCSTRING);
DZ=F-F0;

DD=[DX; DY; DZ];
DD=DD/h;
D3vector(p,scale*DD,co);

