function D3line(r1,a,col)

% D3line(shiftvec,dirvec,col),  plots a 3D line given by
%                    r = shiftvec + t*dirvec (t a parameter),
%                    in color col.
%
% shiftvec [3x1]    = any point on the line     
% dirvec   [3x1]    = the orientation vector
% col      [3x1]    = a three letter string (e.g. 'blu') denoting the color of
%                       the vector as given by D3color. 
%                       Type D3color('DEF') to see all the color definitions.   
%
%                     (The last argument may be omitted.)

if nargin==0, help D3line; return; end

if nargin==2,
    col='red';
    LABEL='';
end

co=D3color(col);


cvec=co;
V1=r1 + 2*a;
V2=r1 - 2*a;
plot3([V1(1) V2(1)],[V1(2) V2(2)],[V1(3) V2(3)],'Color',cvec,'LineWidth',1.5)