function D3plane(n,s,col)

% D3plane(normal,scalar,col),  plots a 3D plane given by
%                    normal dot r = scalar,
%                    in color col.
%
% normal [3x1] =  the normal vector to the plane     
% scalar [1x1] =  for any point p on the plane, scalar=n dot p
% col [3x1]    = a three letter string (e.g. 'blu') denoting the color of
%                the vector as given by D3color. 
%                Type D3color('DEF') to see all the color definitions.   
%
%   (The last argument may be omitted.)

if nargin==0, help D3plane; return; end

if nargin==2,
    col='red';
    sca=1;
end

co=D3color(col);

cvec=co;
AB=null(n');
z=s/n(3);
r1=[0 0 z]';
a=AB(:,1); b=AB(:,2);


s=2*[-1 1 1 -1 -1];
t=2*[1 1 -1 -1 1];
e=[1 1 1 1 1];
P=a*s + b*t + r1*e;
patch('XData',P(1,:),'YData',P(2,:),'ZData',P(3,:),'FaceColor',cvec,'FaceAlpha',0.5)

