function D3planeparametric(r1,a,b,col)

% D3plane(shiftvec,dirvec1,dirvec2,col),  plots a 3D plane given by
%                    r = shiftvec + t*dirvec1 + s*dirvec2 (t and s parameters),
%                    in color col.
%
% shiftvec [3x1]      
% dirvec1  [3x1]
% dirvec2  [3x1]
% col [3x1]           = a three letter string (e.g. 'blu') denoting the color of
%                       the vector as given by D3color. 
%                       Type D3color('DEF') to see all the color definitions.   
%
%                     (The last argument may be omitted.)

if nargin==0, help D3planeparametric; return; end

if nargin==3,
    col='red';
end

co=D3color(col);

s=[-1 1 1 -1 -1];
t=[1 1 -1 -1 1];
e=[1 1 1 1 1];
P=a*s + b*t + r1*e;
patch('XData',P(1,:),'YData',P(2,:),'ZData',P(3,:),'FaceColor',co,'FaceAlpha',0.5)

