function D3point(pos,a,col)

% D3point(pos,vec,col,LABEL),  plots a 3D point, vec, originating at pos,
%                    in color col. The point is at the arrow head of an
%                    invisible arrow given by vec, with its end at pos.
%
% pos [3x1]           = the origin (position of tail end) of the vector.
% vec [3x1]           = the vector. 
% col [3x1]           = a three letter string (e.g. 'blu') denoting the color of
%                       the vector as given by D3color. 
%                       Type D3color('DEF') to see all the color definitions.   

%                     (The last argument may be omitted.)

if nargin==0, help D3point; return; end
if nargin==2,
    co='r';
    LABEL='';
end
if nargin==3
    LABEL='';
end
co=D3color(col);

V=pos+a;
plot3(V(1),V(2),V(3),'.','Color',co,'MarkerSize',25)