function D3triangle(xx1,xx2,xx3,col,al)

% D3triangle(xx1,xx2,xx3,col,alpha),  plots a 3D triangle in space given by
%                    the vertices xx1, xx2, xx3, in color 'col' and face alpha
%                   'alpha'.
%
% xx1,xx2,xx3 [3x1] = the three vertices of the triangle     
% 
% col [3x1]         = a three letter string (e.g. 'blu') denoting the color of
%                     the vector as given by D3color. 
%                     Type D3color('DEF') to see all the color definitions.   
% alpha [1x1]       = the face alpha ( a tranparancy factor) of the triangle. 
%                     Must be between 0 and 1. 
%   

if nargin==0, help D3triangle; return; end

if nargin==3,
    col='red';
    al=0.5;
end
if nargin==4,
    al=0.5;
end
co=D3color(col);


XX=[xx1 xx2 xx3];

patch('XData',XX(1,:),'YData',XX(2,:),'ZData',XX(3,:),'FaceColor',co,'FaceAlpha',al)

